Bug 437039 - Synaptics default acceleration values are way slow for alps
Summary: Synaptics default acceleration values are way slow for alps
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F9Target
TreeView+ depends on / blocked
 
Reported: 2008-03-11 20:05 UTC by Will Woods
Modified: 2008-10-22 05:53 UTC (History)
4 users (show)

Fixed In Version: 0.15.1-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-22 05:53:31 UTC


Attachments (Terms of Use)
Updated synaptics-0.14.6-alps.patch (1.64 KB, patch)
2008-03-28 06:45 UTC, Chris Wright
no flags Details | Diff

Description Will Woods 2008-03-11 20:05:44 UTC
The defaults in rhpxl are fine, so they should go in the .fdi file that
synaptics installs.

Comment 1 Will Woods 2008-03-11 20:09:11 UTC
Err, OK. There are different defaults for alps and plain-jane synaptics in
rhpxl. Apparently only the alps ones are broken.

Comment 2 Adam Jackson 2008-03-11 23:35:30 UTC
Actually can't do it in the fdi file, the config parser in the server doesn't
understand generic options yet.

And kind of tough to do in the driver, it turns out, but I'm working on it.

Comment 3 Chris Wright 2008-03-27 22:14:52 UTC
0.14.6-6 doesn't seem to help:

  (--) AlpsPS/2 ALPS GlidePoint touchpad found

so the patch should be activated, and the patch appears to have same settings as
my old xorg.conf (which does work).


Comment 4 Chris Wright 2008-03-28 06:44:43 UTC
Three small problems with synaptics-0.14.6-alps.patch.

1) Updating wrong params structure, EventQueryHardware() is called after
alloc_param_data() when the defaults are copied into the runtime data strucure.
2) Both ->max_speed and ->min_speed are doubles, so use xf86SetRealOption
instead of xf86CheckStrOption.
3) Attempt to update ->max_speed was actually updating ->min_speed.

Hence, this interdiff (pasted, likely whitespace munged:

diff -u synaptics-0.14.6/eventcomm.c synaptics-0.14.6/eventcomm.c
--- synaptics-0.14.6/eventcomm.c        2008-03-26 18:34:57.000000000 -0400
+++ synaptics-0.14.6/eventcomm.c        2008-03-27 23:25:56.000000000 -0700
@@ -101,7 +101,7 @@

     /* awful */
     if (strstr(local->name, "ALPS")) {
-       SynapticsSHM *pars = &((SynapticsPrivate *)local->private)->synpara_default;
+       SynapticsSHM *pars = ((SynapticsPrivate *)local->private)->synpara;
        void *opts = local->options;

        pars->left_edge = xf86SetIntOption(opts, "LeftEdge", 120);
@@ -113,10 +113,8 @@
        pars->tap_move = xf86SetIntOption(opts, "MaxTapMove", 110);
        pars->scroll_dist_vert = xf86SetIntOption(opts, "VertScrollDelta", 20);
        pars->scroll_dist_horiz = xf86SetIntOption(opts, "HorizScrollDelta", 20);
-       if (!xf86CheckStrOption(opts, "MinSpeed", "0.3"))
-           pars->min_speed = 0.3;
-       if (!xf86CheckStrOption(opts, "MaxSpeed", "0.75"))
-           pars->min_speed = 0.75;
+       pars->min_speed = xf86SetRealOption(opts, "MinSpeed", 0.3);
+       pars->max_speed = xf86SetRealOption(opts, "MaxSpeed", 0.75);
     }

     return TRUE;

I found I prefer increasing AccelFactor, but I left that out since the above
gets it back to the way it was, and I'd expect any further changes simply
continue to highlight the need for generic options in fdi.

Comment 5 Chris Wright 2008-03-28 06:45:53 UTC
Created attachment 299437 [details]
Updated synaptics-0.14.6-alps.patch

Comment 6 Thorsten Leemhuis 2008-03-28 17:28:12 UTC
hit the problem wwoods reported as well

In addition: the touchpad it awfully slow once I switch to a text console and back
/me looks at the patch from Chris in Comment 4 and wonders if that might fix it

Comment 7 Rex Dieter 2008-03-28 19:14:16 UTC
Re: chrisw's patch in comment #5
tested here, mmm-mmm good (well, worksforme anyway).  SHIP IT! :)

mind if I commit/build?

Comment 8 Adam Jackson 2008-03-28 19:20:55 UTC
(In reply to comment #7)
> Re: chrisw's patch in comment #5
> tested here, mmm-mmm good (well, worksforme anyway).  SHIP IT! :)
> 
> mind if I commit/build?

Go for it.

Comment 9 Rex Dieter 2008-03-28 19:29:55 UTC
%changelog
* Fri Mar 28 2008 Rex Dieter <rdieter@fedoraproject.org> 0.14.6-7
- Synaptics default acceleration values are way slow for alps (#437039)

Comment 10 Kevin Fenzi 2008-04-23 16:11:13 UTC
I seem to be seeing this exact thing here with current rawhide. ;( 

I have resorted to adding in a Synaptics section with sane values and also
adding in the SHMConfig stuff so I can adjust with gsynaptics. 

(II) XINPUT: Adding extended input device "AlpsPS/2 ALPS GlidePoint" (type: MOUSE)

Anyone else seeing this?

Also, on suspend/resume, the pointer resets back to very slow again, and I have
to run gsynaptics or adjust in the control panel to make it usable again. 


Comment 11 Rex Dieter 2008-04-23 16:18:00 UTC
> Anyone else seeing this?

fwiw, (still) works fine here.

Comment 12 Bug Zapper 2008-05-14 05:57:19 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Peter Hutterer 2008-10-22 05:53:31 UTC
Closing, this is fixed in current versions with autoscaling most parameters.

Kevin: the slow on resume is most likely Bug 439386.


Note You need to log in before you can comment on or make changes to this bug.